MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032195Open CASCADE[OCCT] OCCT:Shape Healingpublic2021-03-04 18:032021-04-01 15:38
Reporterasuraven 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionduplicate 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032195: Modeling Algorithms - Bad edge after executing the fixshape command
DescriptionAfter executing the fixshape command, an incorrect edge remains with the following parameters:
- the first and the last vertexes are the same
- the first and the last parameters are different
- the edge isn't closed
This edge should not be created by fixshape command.
In branch CR23731_7 a ss_1 face shape has faulty result of the checkshape command.
Also "test bugs heal bug22919" failed in branch CR23731_7 failed because of this problem.
Steps To Reproducerestore [locate_data_file bug22919_ss.brep] ss
explode ss
fixshape ok1 ss_1
checkshape ok1
tolsphere ok1

erase ss ss_1 ss_2 ss_3 ss_4 ss_5
explode ok1 V
axo; fit
TagsNo tags attached.
Test case number
Attached Filespng file icon face overview.png (17,119 bytes) 2021-03-04 18:04
png file icon problem area.png (8,499 bytes) 2021-03-04 18:04
png file icon source problem vertex.png (50,937 bytes) 2021-03-04 18:04
png file icon problem after fixshape.png (46,298 bytes) 2021-03-04 18:05

- Relationships
duplicate of 0032272newgka Shape Healing - Shape healing not corresponded to new edge control in checkshape 

-  Notes
(0099404)
asuraven (developer)
2021-03-04 18:24

(0099915)
asuraven (developer)
2021-03-31 16:07

Pleace close as dublicate of 32272

- Issue History
Date Modified Username Field Change
2021-03-04 18:03 asuraven New Issue
2021-03-04 18:03 asuraven Assigned To => msv
2021-03-04 18:04 asuraven File Added: face overview.png
2021-03-04 18:04 asuraven File Added: problem area.png
2021-03-04 18:04 asuraven File Added: source problem vertex.png
2021-03-04 18:05 asuraven File Added: problem after fixshape.png
2021-03-04 18:08 asuraven Relationship added related to 0031871
2021-03-04 18:08 asuraven Relationship added related to 0023731
2021-03-04 18:15 asuraven Description Updated View Revisions
2021-03-04 18:24 asuraven Note Added: 0099404
2021-03-04 22:23 msv Assigned To msv => gka
2021-03-04 22:23 msv Category OCCT:Modeling Algorithms => OCCT:Shape Healing
2021-03-31 16:07 asuraven Note Added: 0099915
2021-03-31 16:07 asuraven Assigned To gka => bugmaster
2021-03-31 16:07 asuraven Status new => feedback
2021-03-31 16:07 asuraven Resolution open => duplicate
2021-03-31 16:08 asuraven Relationship added duplicate of 0032272
2021-03-31 16:31 asuraven Relationship deleted related to 0031871
2021-03-31 16:31 asuraven Relationship deleted related to 0023731
2021-04-01 15:38 bugmaster Status feedback => closed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker